Draft Supprimer un point

From FreeCAD Documentation
Revision as of 08:48, 22 February 2020 by David69 (talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente : Draft AddPoint.svg Ajouter un point
Page suivante : Projection 2D d'une forme Draft Shape2DView.svg Arrow-right.svg

Draft DelPoint.svg Draft Supprimer un point

Emplacement du menu
Draft → Supprimer un point
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Draft Ajouter un point, Draft Editer


Description

L'outil Draft DelPoint.svg Draft Supprimer un point vous permet de supprimer des points de Draft Wire.svg Draft Fils et Draft BSpline.svg Draft BSplines.

La contrepartie de cet outil est l'opération Draft AddPoint.svg Draft Ajouter un point.

Utilisation

  1. Sélectionnez un Fil (Wire) ou une BSplines. Remarque: l'outil est désactivé si aucun objet n'est sélectionné.
  2. Appuyez sur le bouton Draft DelPoint.svg Draft Supprimer un point.
  3. Cliquez sur un point de l'objet.
  4. Appuyez sur Echapp ou sur le bouton Fermer pour terminer l'opération: les points déjà supprimés disparaîtront.

Cette fonctionnalité est également disponible à partir de l'outil Draft Edit.svg Editer Draft.

Options

Les options de cet outil sont décrites dans Draft Edit.svg Editer Draft.

Script

Voir aussi: Draft API et FreeCAD scripts de base.

Aucune interface de programmation n'est disponible pour l'outil Supprimer un point. Toutefois, la suppression de points est simple.

L'attribut Points d'un fil ou d'une spline est une liste de points qui composent cet objet. Pour ajouter des points, remplacez cet attribut par une liste de points plus longue. Vous pouvez utiliser des méthodes telles que append() et insert() pour ajouter un nouvel élément à la position souhaitée dans la liste. Chaque point est défini par son FreeCAD.Vector, en unités en millimètres.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(-1000, 400, 0)
p2 = FreeCAD.Vector(1500, -1500, 0)
p3 = FreeCAD.Vector(2200, 1000, 0)

wire = Draft.makeWire([p1, p2, p3])
points = wire.Points
points.pop(1)

wire.Points = points
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente : Draft AddPoint.svg Ajouter un point
Page suivante : Projection 2D d'une forme Draft Shape2DView.svg Arrow-right.svg